From 35bde25f9f898defe9d7b50509038b908080a90e Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 1 Feb 2012 14:15:57 -0600
Subject: Letter Admin options

---
 admin/settings/grades.php |   18 +++++++++++++++++-
 lang/en/grades.php        |    4 ++++
 2 files changed, 21 insertions(+), 1 deletions(-)

diff --git a/admin/settings/grades.php b/admin/settings/grades.php
index 0d42537..f507268 100644
--- a/admin/settings/grades.php
+++ b/admin/settings/grades.php
@@ -165,9 +165,25 @@ if (has_capability('moodle/grade:manage', $systemcontext)
         $outcomes = new admin_externalpage('outcomes', get_string('outcomes', 'grades'), $CFG->wwwroot.'/grade/edit/outcome/index.php', 'moodle/grade:manage');
         $ADMIN->add('grades', $outcomes);
     }
-    $letters = new admin_externalpage('letters', get_string('letters', 'grades'), $CFG->wwwroot.'/grade/edit/letter/index.php', 'moodle/grade:manageletters');
+
+    $letters_str = get_string('letters', 'grades');
+    $letters_base = $CFG->wwwroot.'/grade/edit/letter';
+    $letters = new admin_externalpage('letters', $letters_str, $letters_base . '/index.php', 'moodle/grade:manageletters');
     $ADMIN->add('grades', $letters);
 
+    $letters_settings_str = get_string('letter', 'grades') . ' ' . get_string('edit') . ' ' . get_string('settings');
+    $temp = new admin_settingpage('letterssettings', $letters_settings_str, 'moodle/grade:manageletters');
+    if ($ADMIN->fulltree) {
+        $temp->add(new admin_setting_configcheckbox('grade_letters_custom',
+            get_String('letterscustompercents', 'grades'), get_string('letterscustompercents_help', 'grades'), 0));
+
+        $decimals = range(0, 5);
+
+        $temp->add(new admin_setting_configselect('grade_letters_decimals',
+            get_string('lettersdecimals', 'grades'), get_string('lettersdecimals_help', 'grades'), 3, $decimals));
+    }
+    $ADMIN->add('grades', $temp);
+
     // The plugins must implement a settings.php file that adds their admin settings to the $settings object
 
     // Reports
diff --git a/lang/en/grades.php b/lang/en/grades.php
index b583eff..edb2133 100644
--- a/lang/en/grades.php
+++ b/lang/en/grades.php
@@ -371,6 +371,10 @@ $string['lettergradenonnumber'] = 'Low and/or High grade were non-numeric for';
 $string['letterpercentage'] = 'Letter (percentage)';
 $string['letterreal'] = 'Letter (real)';
 $string['letters'] = 'Letters';
+$string['letterscustompercents'] = 'Custom Percentages';
+$string['letterscustompercents_help'] = 'Allows for users to enter a value for the percents.';
+$string['lettersdecimals'] = 'Decimal Rounding';
+$string['lettersdecimals_help'] = 'If using _' . $string['letterscustompercents'] . '_, then round to this decimal.';
 $string['linkedactivity'] = 'Linked activity';
 $string['linkedactivity_help'] = 'This setting specifies an activity to which this outcome item is linked. This may be used to measure student performance on criteria not assessed by the activity grade.';
 $string['linktoactivity'] = 'Link to {$a->name} activity';
-- 
1.7.1


